API ReferenceAgent sessions
Wait for an agent session to change
Authorization
bearerAuth AuthorizationBearer <token>
A RemoteHost API key (rh_sk_...) or a user session token.
In: header
Path Parameters
sessionId*string
Format
uuidQuery Parameters
after?|
Range
0 <= valuetimeoutMs?integer
Range
1000 <= value <= 50000Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/agent-sessions/497f6eca-6276-4993-bfeb-53cbbbba6f08/wait"{ "changed": true, "session": { "id": "string", "sessionId": "string", "projectId": "string", "sandboxId": "string", "agent": "string", "agentLabel": "string", "communication": { "status": "ready", "capabilities": [ "messages" ], "message": "string", "requirements": [ { "code": "string", "action": "restart", "message": "string" } ] }, "requirements": [ { "code": "string", "action": "restart", "message": "string" } ], "surface": "terminal", "status": "active", "turnId": "string", "turnState": "submitted", "needsYou": true, "waitingOn": "string", "pendingInput": { "requestId": "string", "kind": "string", "summary": "string" }, "error": "string", "bridgeState": "starting", "released": true, "releasing": true, "bridgeEventSeq": 0, "drifted": true, "problems": [ { "seq": 0, "event": "string", "reason": "string" } ] }, "output": { "messages": [ { "seq": 0, "turnId": "string", "at": "string", "text": "string", "truncated": true } ], "nextCursor": 0, "hasMore": true }}